Subject: Re: bug#42307: Feature request: Visual block attribute for overlays

From: Juri Linkov <[email-masked]>
Date: Sun, 12 Jul 2020 02:50:12 +0300

>> What about a variant of your "visual block" that extends the overlay so
>> that all lines, from the first line, which contains `overlay-start' to
>> the last line, which contains `overlay-end', are covered through the same
>> columns?  Coverage (highlighting) would then always be a rectangle. In
>> your example, it would the highlighting of the last line would be
>> extended to the same column as that of the other lines.
>
> That's a possible variant, indeed.  Let's name this one
> "visualrectangle". But from a programmer's point of view it makes (IMHO)
> less sense.

How this highlighting is different from the rectangle selection mode
activated by 'C-x SPC'?